package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
  * @author ZhangXianyu
  * @date 2025/2/20
  * @description 角色等级参数DTO
 */
@Data
public class RoleLevelParamDTO extends BasePage {

   @ApiModelProperty(value = "游戏角色id")
   private String roleId;

   @ApiModelProperty(value = "角色名称")
   private String roleName;

   @ApiModelProperty(value = "游戏id")
   private List<Long> gameId;

   @ApiModelProperty(value = "游戏名称")
   private String gameName;

   @ApiModelProperty(value = "区服id")
   private List<String> serverId;

   @ApiModelProperty(value = "区服名称")
   private String serverName;

   @ApiModelProperty(value = "角色创建时间最小值")
   private LocalDateTime createTimeMin;

   @ApiModelProperty(value = "角色创建时间最大值")
   private LocalDateTime createTimeMax;

   @ApiModelProperty(value = "角色等级最小值")
   private Long roleLevelMin;

   @ApiModelProperty(value = "角色等级最大值")
   private Long roleLevelMax;

   @ApiModelProperty(value = "等级上报最小值")
   private LocalDateTime levelTimeMin;

   @ApiModelProperty(value = "等级上报最大值")
   private LocalDateTime levelTimeMax;

}
